# -*- coding: utf-8 -*-
##----------------------------------------------------------------------
## Vendor: NAG
## OS:     ERD
##----------------------------------------------------------------------
## Copyright (C) 2007-2014 The NOC Project
## See LICENSE for details
##----------------------------------------------------------------------

## NOC modules
from noc.sa.profiles import Profile as NOCProfile
from noc.sa.protocols.sae_pb2 import HTTP


class Profile(NOCProfile):
    name = "NAG.ERD"
    supported_schemes = [NOCProfile.HTTP]

    nag_erd_plat={
        "1": "1",
        "2": "2",
        "3": "3",
        "4": "3C",  # "3S",
        "5": "Pro",
        }